--- title: "deleteLoginKeys" slug: "compute-vserver-server-loginkey-deleteloginkeys" tags: ["Server", "Login Key"] updated: 2026-09-17T10:06:02Z published: 2026-09-17T10:06:02Z canonical: "api.ncloud-docs.com/compute-vserver-server-loginkey-deleteloginkeys" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # deleteLoginKeys Available in VPC Delete an authentication key. However, you can't delete authentication keys that are assigned a launch configuration for a server instance or Auto Scaling service. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vserver/v2/deleteLoginKeys | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Server APIs, see [Server request headers](/docs/en/compute-vserver#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region in the query results (default) | | `keyNameList.N` | Array | Required | Authentication key list - See [getLoginKeyList](/docs/en/compute-vserver-server-loginkey-getloginkeylist). - e.g., if `keyName` to delete is key1, key2: `keyNameList.1=key1&keyNameList.2=key2` | | `responseFormatType` | String | Optional | Format of the response data - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vserver/v2/deleteLoginKeys ?regionCode=KR &keyNameList.1=test-*** &responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `deleteLoginKeysResponse` | Object | - | Response result - See [CommonResponse](/docs/en/common-vapidatatype-commonresponse). | ### Response status codes For information about the response status codes common to all Server APIs, see [Server response status codes](/docs/en/compute-vserver#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "deleteLoginKeysResponse": { "requestId": "d046cdda-ca4b-435a-8a06-fbc9795b3548", "returnCode": "0", "returnMessage": "success" } } ```